%define py_ver      %pyver
%define pygtk_ver   0.6.11
%define pygnome_version 1.4.4

Summary:	The sources for the PyGTK and PyGNOME Python extension modules
Name:		python-gnome
Version:	%{pygnome_version}
Release: 8mdk

Source0:	gnome-python-%{pygnome_version}.tar.bz2
# (fc) 1.4.2-1mdk ugly patch (on configure) to fix compilation with latest libcapplet
# needed until we switch to automake 1.5
Patch0:     	gnome-python-1.4.2-libcapplet.patch.bz2
# (gb) 1.4.2-4mdk another ugly patch to configure so that correct
# python site-packages directory may be found
Patch1:		gnome-python-1.4.4-python-libdir.patch.bz2
License:	LGPL
Group:		Development/GNOME and GTK+
BuildRequires:	libcapplet-devel gdk-pixbuf-devel libgnome-devel
BuildRequires:	gtkglarea-devel libglade-devel libxml-devel Mesa-common-devel
BuildRequires:  python-devel >= %{py_ver} python-numeric xpm-devel
BuildRequires:  gnome-common
BuildRoot:	%_tmppath/%name-%pygnome_version-root
URL:		http://ftp.acc.umu.se/pub/GNOME/sources/gnome-python/1.4/
Requires:	python-gtk = %{pygtk_ver}
Provides:	pygnome
Obsoletes:	pygnome

%description 
PyGNOME is an extension module for python that gives you access to the
base GNOME libraries.  This means you have access to more widgets, simple
configuration interface, metadata support and many other features.

%package -n 	python-gtk
Version:	%{pygtk_ver}
Summary:	Python bindings for the GTK+ widget set
Group:		Development/GNOME and GTK+
Requires: 	python-numeric
Requires: 	pygtk2.0-wrapper
Provides:	pygtk = %{pygtk_ver}
Obsoletes:	pygtk

%description -n python-gtk
PyGTK is an extension module for python that gives you access to the GTK+
widget set.  Just about anything you can write in C with GTK+ you can write
in python with PyGTK (within reason), but with all of python's benefits.

%package -n python-gtk-devel
Version: %{pygtk_ver}
Summary: Files needed to build wrappers for GTK+ addon libraries
Group: Development/GNOME and GTK+
Requires: python-gtk = %version-%release
Provides: pygtk-devel
Obsoletes: pygtk-devel

%description -n python-gtk-devel
This package contains files required to build wrappers for GTK+ addon
libraries so that they interoperate with pygtk.


%package -n python-gtk-glade
Version:	%{pygtk_ver}
Summary:	A wrapper for the libglade library for use with PyGTK
Group:		Development/GNOME and GTK+
Provides:	pygtk-libglade
Obsoletes:	pygtk-libglade

%description -n python-gtk-glade
This module contains a wrapper for the libglade library.  Libglade is a
library similar to the pyglade module, except that it is written in C (so
is faster) and is more complete.

%package -n python-gtk-glarea
Version:	%{pygtk_ver}
Summary:	A wrapper for the GtkGLArea widget for use with PyGTK
Group:		Development/GNOME and GTK+
Provides:	pygtk-glarea
Obsoletes:	pygtk-glarea

%description -n python-gtk-glarea
This module contains a wrapper for the GtkGLArea widget, which allows you
to display OpenGL output inside your pygtk program.  It needs a set of
Python OpenGL bindings such as PyOpenGL to actually do any OpenGL rendering.

%package -n python-gnome-glade
Summary:	GNOME support for the libglade python wrapper
Group:		Development/GNOME and GTK+
Requires:	python-gtk-glade
Provides:	pygnome-libglade
Obsoletes:	pygnome-libglade

%description -n python-gnome-glade
This module contains GNOME support to suppliment the libglade python
wrapper.  Libglade is a library similar to the pyglade module, except
that it is written in C (so is faster) and is more complete.

%package -n python-gnome-capplet
Summary:	Python bindings for GNOME Panel applets
Group:		Development/GNOME and GTK+
Requires: 	%{name} = %{pygnome_version}
Provides:	pygnome-capplet
Obsoletes:	pygnome-capplet

%description -n python-gnome-capplet
This module contains a wrapper that allows GNOME Control Center
capplets to be in Python.

%package -n python-gnome-devel
Summary: Files that are useful for wrapping GNOME addon libraries
Group: Development/GNOME and GTK+
Requires: python-gtk-devel = %{pygtk_ver}, %{name} = %{pygnome_version}
Provides:	pygnome-devel
Obsoletes:	pygnome-devel

%description -n python-gnome-devel
This package contains files required to build wrappers for GNOME addon
libraries so that they interoperate with pygnome.

%prep
%setup -q -n gnome-python-%{pygnome_version}
%patch0 -p1 -b .libcapplet
%patch1 -p1 -b .python-libdir

%build
# configure macro force generation of libtool
# and m4 python macro are currently broken
%configure2_5x
# use system libtool which knows about lib64 architectures
# NOTE: parallel build is broken on >= 4 CPUs systems
make LIBTOOL=libtool

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# Don't ship with *.{a,la} files
rm -f $RPM_BUILD_ROOT%{_libdir}/python%{py_ver}/site-packages/gtk-1.2/*.{a,la}
# (sb) not getting installed now?
install -m644 pygnome/gettext.py $RPM_BUILD_ROOT%{_libdir}/python%{py_ver}/site-packages/gtk-1.2
#conflict with pytk2.0
rm -f %buildroot%{_libdir}/python%{py_ver}/site-packages/pygtk.p*

%files -n python-gtk
%defattr(-,root,root)
#%{_libdir}/python%{py_ver}/site-packages/pygtk.p*
%dir %{_libdir}/python%{py_ver}/site-packages/gtk-1.2/
%dir %{_libdir}/python%{py_ver}/site-packages/gtk-1.2/pyglade/
%{_libdir}/python%{py_ver}/site-packages/gtk-1.2/gtk.py*
%{_libdir}/python%{py_ver}/site-packages/gtk-1.2/GtkExtra.py*
%{_libdir}/python%{py_ver}/site-packages/gtk-1.2/GTK.py*
%{_libdir}/python%{py_ver}/site-packages/gtk-1.2/GDK.py*
%{_libdir}/python%{py_ver}/site-packages/gtk-1.2/GdkImlib.py*
%{_libdir}/python%{py_ver}/site-packages/gtk-1.2/pyglade/*.py*

%{_libdir}/python%{py_ver}/site-packages/gtk-1.2/_gtkmodule.so
%{_libdir}/python%{py_ver}/site-packages/gtk-1.2/_gdkimlibmodule.so
%{_libdir}/python%{py_ver}/site-packages/gtk-1.2/gdkpixbufmodule.so

%doc pygtk/AUTHORS pygtk/NEWS pygtk/README pygtk/MAPPING pygtk/ChangeLog 
%doc pygtk/description.py pygtk/examples

%files -n python-gtk-glade
%defattr(-,root,root)
%{_libdir}/python%{py_ver}/site-packages/gtk-1.2/libglade.py*
%{_libdir}/python%{py_ver}/site-packages/gtk-1.2/_libglademodule.so

%files -n python-gtk-devel
%defattr(-,root,root)
%{_bindir}/pygtk-codegen-1.2
%{_includedir}/pygtk
%dir %{_datadir}/pygtk
%dir %{_datadir}/pygtk/1.2
%{_datadir}/pygtk/1.2/codegen
%dir %{_datadir}/pygtk/1.2/defs
%{_datadir}/pygtk/1.2/defs/gtk.defs
%{_datadir}/pygtk/1.2/defs/gtkbase.defs
%{_datadir}/pygtk/1.2/defs/gtkcontainers.defs
%{_datadir}/pygtk/1.2/defs/gtkdata.defs
%{_datadir}/pygtk/1.2/defs/gtkdnd.defs
%{_datadir}/pygtk/1.2/defs/gtkedit.defs
%{_datadir}/pygtk/1.2/defs/gtkenums.defs
%{_datadir}/pygtk/1.2/defs/gtkgl.defs
%{_datadir}/pygtk/1.2/defs/gtklists.defs
%{_datadir}/pygtk/1.2/defs/gtkmenus.defs
%{_datadir}/pygtk/1.2/defs/gtkmisc.defs
%{_datadir}/pygtk/1.2/defs/gtkranges.defs
%{_datadir}/pygtk/1.2/defs/libglade.defs

%files -n python-gnome-glade
%defattr(-,root,root)
%{_libdir}/python%{py_ver}/site-packages/gtk-1.2/libglade.py*
%{_libdir}/python%{py_ver}/site-packages/gtk-1.2/_gladegnomemodule.so

%files -n python-gnome-capplet
%defattr(-,root,root)
%{_libdir}/python%{py_ver}/site-packages/gtk-1.2/_cappletmodule.so
%{_libdir}/python%{py_ver}/site-packages/gtk-1.2/gnome/capplet.py*

%files -n python-gnome
%defattr(-,root,root)
%{_libdir}/python%{py_ver}/site-packages/gtk-1.2/gettext.py*
%dir %{_libdir}/python%{py_ver}/site-packages/gtk-1.2/gnome
%{_libdir}/python%{py_ver}/site-packages/gtk-1.2/gnome/__init__.py*
%{_libdir}/python%{py_ver}/site-packages/gtk-1.2/gnome/affine.py*
%{_libdir}/python%{py_ver}/site-packages/gtk-1.2/gnome/config.py*
%{_libdir}/python%{py_ver}/site-packages/gtk-1.2/gnome/file.py*
%{_libdir}/python%{py_ver}/site-packages/gtk-1.2/gnome/help.py*
%{_libdir}/python%{py_ver}/site-packages/gtk-1.2/gnome/history.py*
%{_libdir}/python%{py_ver}/site-packages/gtk-1.2/gnome/metadata.py*
%{_libdir}/python%{py_ver}/site-packages/gtk-1.2/gnome/mime.py*
%{_libdir}/python%{py_ver}/site-packages/gtk-1.2/gnome/score.py*
%{_libdir}/python%{py_ver}/site-packages/gtk-1.2/gnome/triggers.py*
%{_libdir}/python%{py_ver}/site-packages/gtk-1.2/gnome/ui.py*
%{_libdir}/python%{py_ver}/site-packages/gtk-1.2/gnome/uiconsts.py*
%{_libdir}/python%{py_ver}/site-packages/gtk-1.2/gnome/url.py*
%{_libdir}/python%{py_ver}/site-packages/gtk-1.2/gnome/util.py*
%{_libdir}/python%{py_ver}/site-packages/gtk-1.2/gnome/xmhtml.py*
%{_libdir}/python%{py_ver}/site-packages/gtk-1.2/gnome/zvt.py*
%{_libdir}/python%{py_ver}/site-packages/gtk-1.2/_gnomemodule.so
%{_libdir}/python%{py_ver}/site-packages/gtk-1.2/_gnomeuimodule.so
%{_libdir}/python%{py_ver}/site-packages/gtk-1.2/_zvtmodule.so
%{_libdir}/python%{py_ver}/site-packages/gtk-1.2/_gtkxmhtmlmodule.so

%doc AUTHORS NEWS README ChangeLog
%doc pygnome/examples

%files -n python-gnome-devel
%defattr(-,root,root)
%{_datadir}/pygtk/1.2/defs/applet.defs
%{_datadir}//pygtk/1.2/defs/capplet.defs
%{_datadir}/pygtk/1.2/defs/gnome-enums.defs
%{_datadir}/pygtk/1.2/defs/gnome.defs
%{_datadir}/pygtk/1.2/defs/gnomeui.defs
%{_datadir}/pygtk/1.2/defs/gtkhtml.defs
%{_datadir}/pygtk/1.2/defs/xmhtml.defs
%{_datadir}/pygtk/1.2/defs/zvt.defs

%files -n python-gtk-glarea
%defattr(-,root,root)
%{_libdir}/python%{py_ver}/site-packages/gtk-1.2/gtkgl.py*
%{_libdir}/python%{py_ver}/site-packages/gtk-1.2/_gtkglmodule.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 1.4.4-8mdk
- Rebuild for new python

* Fri Nov 12 2004 Stew Benedict <sbenedict@mandrakesoft.com> 1.4.4-7mdk
- rebuild for contrib, /me removed with rpmctl a little prematurely

* Sat Sep  4 2004 Stew Benedict <sbenedict@mandrakesoft.com> 1.4.4-6mdk
- fix typo in provides/obsoletes of python-gtk (bugzilla #11178)

* Fri Sep  3 2004 Stew Benedict <sbenedict@mandrakesoft.com> 1.4.4-5mdk
- rebuild, python naming policy
- drop commented lines, change libglade to glade to make rpmlint happy

* Fri Aug  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.4.4-4mdk
- fix gtkglarea build
- new python

* Fri May  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.4.4-3mdk
- fix directory ownership

* Wed Apr  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.4.4-2mdk
- add requires on the wrapper from pygtk2.0
- remove pygtk.* to fix conflict with pygtk2.0
- fix pygnome version

* Mon Jan  6 2003 Stew Benedict <sbenedict@mandrakesoft.com> 1.4.4-1mdk
- new version, URL, rework patch1 (thx Gwenole)
- pygtk-glarea on PPC too
- installed but unpackaged files
- breakout pygtk and pygnome releases
- updated file paths to facilitate co-existence with pygtk2

* Mon Dec 30 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.4.2-5mdk
- rebuild for new glibc/rpm

* Mon Nov 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.4.2-4mdk
- Use system libtool
- Patch1: another ugly patch to configure so that correct python
  site-packages directory may be found. Even Red Hat now uses
  /usr/lib64/python* on lib64 platforms.

* Mon Apr 08 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.4.2-3mdk
- Remove Requires on python (not needed).

* Mon Apr 08 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.4.2-2mdk
- Add Requires on python to few packages.

* Mon Jan  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.2-1mdk
- Release 1.4.2
- Patch0: ugly patch to compile with latest libcapplet (needed until we use automake 1.5)

* Thu Jan  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1-9mdk
- Recompiled against Python 2.2

* Thu Oct 18 2001 Stefan van der Eijk <stefan@eijk.nu> 1.4.1-8mdk
- BuildRequires: libxml-devel
- Removed redundant BuildRequires

* Tue Aug 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1-7mdk
- Add missing directory

* Tue Aug  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1-6mdk
- Fix logic in Python BuildRequires

* Mon Jul  2 2001 Matthias Badaire <mbadaire@mandrakesoft.com> 1.4.1-5mdk
- Re-Fix build-requires

* Mon Jul  2 2001 Matthias Badaire <mbadaire@mandrakesoft.com> 1.4.1-4mdk
- Fix build-requires and ia64 build

* Sun Jul 01 2001 Stefan van der Eijk <stefan@eijk.nu> 1.4.1-3mdk
- BuildRequires:	db1-devel
- Removed BuildRequires:	libjpeg-devel
- Removed BuildRequires:	libpng-devel

* Sat Jun 30 2001 Stefan van der Eijk <stefan@eijk.nu> 1.4.1-2mdk
- BuildRequires:	gdk-pixbuf-devel
- BuildRequires:	python-devel
- Removed BuildRequires:	audiofile-devel
- Removed BuildRequires:	gnome-libs-devel
- Removed BuildRequires:	imlib-devel	
- Removed BuildRequires:	libxml-devel	
- Removed BuildRequires:	ORBit-devel	
- Removed BuildRequires:	python
- Removed BuildRequires:	XFree86-devel
- Removed BuildRequires:	zlib-devel


* Thu Jun 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1-1mdk
- Release 1.4.1
- Requires python 2.1
- Fix versionning of pygnome-libglade
- Patch0: allow regeneration m4 macros

* Wed Feb 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-1mdk
- Release 1.4.0
- Clean specfile
- requires python-numeric

* Wed Dec 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.53-7mdk
- Correct requires and buildrequires

* Sun Dec 17 2000 David BAUDENS <baudens@mandrakesoft.com> 1.0.53-6mdk
- Use %%_tmppath for BuildRoot

* Fri Dec 15 2000 DindinX <odin@mandrakesoft.com> 1.0.53-5mdk
- rebuild with python 2.0

* Fri Sep 29 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.53-4mdk
- added missing util.py*

* Wed Aug 23 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.53-3mdk
- suppressed svgalib-devel BuildRequires.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.53-2mdk
- automatically added BuildRequires

* Mon Apr 10 2000 DindinX <odin@mandrakesoft.com> 1.0.53-1mdk
- New version

* Mon Apr  3 2000 DindinX <odin@mandrakesoft.com> 1.0.52-1mdk
- Added URL tag
- New version
- resurect pygtk-glarea
- Added a %clean tag

* Thu Mar 30 2000 DindinX <odin@mandrakesoft.com> 1.0.51-4mdk
- Specs fixes
- Group fixes
- Added some deps.

* Sun Mar 19 2000 John Buswell <johnb@mandrakesoft.com> 1.0.51-3mdk
- PPC support

* Thu Feb 17 2000 Axalon Bloodstone <axalon@mandrakesoft.com> 1.0.51-2mdk
- defattr's

* Wed Feb 16 2000 Axalon Bloodstone <axalon@mandrakesoft.com> 1.0.51-1mdk
- update to 1.0.51
- requires python 1.5.2
- do some merges with the official spec
	- added pygnome-libglade subpackage
	- split applet and capplet modules into their own package


* Tue Dec 07 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Bump spec to get above pablo (lay off the crack son, ther is no 1.0.52)

* Thu Nov 04 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- And make pygnome the main package cause rpm 

* Mon Nov 01 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Opps forgot to uncomment pygtk-glarea

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- configure goes in build not prep
- enable SMP build
- zip and strip
- 1.0.50

* Wed Aug 18 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Rebuild with %defattr(-,root,root) (Thanks to Michael Irving <laric@laric.com>).

* Wed Aug 18 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Rebuild without libgtkgl.so.3.

* Mon Aug 09 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 1.0.4

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adpatations.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Sat Feb 20 1999 Michael Johnson <johnsonm@redhat.com>
- added gtk.py* to pygtk filelist

* Tue Feb 16 1999 Michael Johnson <johnsonm@redhat.com>
- rebuilt against 0.99.8

* Tue Feb 09 1999 Michael Johnson <johnsonm@redhat.com>
- added examples
